Package com.independentsoft.graph.planner

# Class PlannerCategoryDescriptions

java.lang.Object
com.independentsoft.graph.planner.PlannerCategoryDescriptions

All Implemented Interfaces:
  `ICreatable`, `IUpdatable`

public class PlannerCategoryDescriptions extends Object implements ICreatable, IUpdatable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlannerCategoryDescriptions()`
  `PlannerCategoryDescriptions​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCategory1()`
  `String`
  `getCategory10()`
  `String`
  `getCategory11()`
  `String`
  `getCategory12()`
  `String`
  `getCategory13()`
  `String`
  `getCategory14()`
  `String`
  `getCategory15()`
  `String`
  `getCategory16()`
  `String`
  `getCategory17()`
  `String`
  `getCategory18()`
  `String`
  `getCategory19()`
  `String`
  `getCategory2()`
  `String`
  `getCategory20()`
  `String`
  `getCategory21()`
  `String`
  `getCategory22()`
  `String`
  `getCategory23()`
  `String`
  `getCategory24()`
  `String`
  `getCategory25()`
  `String`
  `getCategory3()`
  `String`
  `getCategory4()`
  `String`
  `getCategory5()`
  `String`
  `getCategory6()`
  `String`
  `getCategory7()`
  `String`
  `getCategory8()`
  `String`
  `getCategory9()`
  `void`
  `setCategory1​(String category1)`
  `void`
  `setCategory10​(String category10)`
  `void`
  `setCategory11​(String category11)`
  `void`
  `setCategory12​(String category12)`
  `void`
  `setCategory13​(String category13)`
  `void`
  `setCategory14​(String category14)`
  `void`
  `setCategory15​(String category15)`
  `void`
  `setCategory16​(String category16)`
  `void`
  `setCategory17​(String category17)`
  `void`
  `setCategory18​(String category18)`
  `void`
  `setCategory19​(String category19)`
  `void`
  `setCategory2​(String category2)`
  `void`
  `setCategory20​(String category20)`
  `void`
  `setCategory21​(String category21)`
  `void`
  `setCategory22​(String category22)`
  `void`
  `setCategory23​(String category23)`
  `void`
  `setCategory24​(String category24)`
  `void`
  `setCategory25​(String category25)`
  `void`
  `setCategory3​(String category3)`
  `void`
  `setCategory4​(String category4)`
  `void`
  `setCategory5​(String category5)`
  `void`
  `setCategory6​(String category6)`
  `void`
  `setCategory7​(String category7)`
  `void`
  `setCategory8​(String category8)`
  `void`
  `setCategory9​(String category9)`
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.
  `String`
  `toUpdateJson()`
  Converts this object to its JSON representation for update.
  `String`
  `toUpdateJson​(List<String> propertyNames)`
  Converts this object to JSON for update with specific properties.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PlannerCategoryDescriptions

    public PlannerCategoryDescriptions()

  - ### PlannerCategoryDescriptions

    public PlannerCategoryDescriptions​(JsonObject jsonObject)

- ## Method Details

  - ### toCreateJson

    public String toCreateJson()
    Description copied from interface: `ICreatable`
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Specified by:
      `toCreateJson` in interface `ICreatable`
    Returns:
      JSON string representation for creating this resource

  - ### toUpdateJson

    public String toUpdateJson()
    Description copied from interface: `IUpdatable`
    Converts this object to its JSON representation for update.

    This method generates a JSON string containing all modified properties that should be updated in Microsoft Graph. Only writeable properties with non-null values are typically included.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Returns:
      JSON string representation for updating this resource

  - ### toUpdateJson

    public String toUpdateJson​(List<String> propertyNames)
    Description copied from interface: `IUpdatable`
    Converts this object to JSON for update with specific properties.

    This method generates a JSON string containing only the specified properties. This enables partial updates where only certain fields need to be modified, reducing payload size and avoiding unintended changes to other properties.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Parameters:
      `propertyNames` - List of property names to include in the JSON. If null or empty, all modified properties are included.
    Returns:
      JSON string representation for updating specific properties

  - ### getCategory1

    public String getCategory1()

  - ### setCategory1

    public void setCategory1​(String category1)

  - ### getCategory2

    public String getCategory2()

  - ### setCategory2

    public void setCategory2​(String category2)

  - ### getCategory3

    public String getCategory3()

  - ### setCategory3

    public void setCategory3​(String category3)

  - ### getCategory4

    public String getCategory4()

  - ### setCategory4

    public void setCategory4​(String category4)

  - ### getCategory5

    public String getCategory5()

  - ### setCategory5

    public void setCategory5​(String category5)

  - ### getCategory6

    public String getCategory6()

  - ### setCategory6

    public void setCategory6​(String category6)

  - ### getCategory7

    public String getCategory7()

  - ### setCategory7

    public void setCategory7​(String category7)

  - ### getCategory8

    public String getCategory8()

  - ### setCategory8

    public void setCategory8​(String category8)

  - ### getCategory9

    public String getCategory9()

  - ### setCategory9

    public void setCategory9​(String category9)

  - ### getCategory10

    public String getCategory10()

  - ### setCategory10

    public void setCategory10​(String category10)

  - ### getCategory11

    public String getCategory11()

  - ### setCategory11

    public void setCategory11​(String category11)

  - ### getCategory12

    public String getCategory12()

  - ### setCategory12

    public void setCategory12​(String category12)

  - ### getCategory13

    public String getCategory13()

  - ### setCategory13

    public void setCategory13​(String category13)

  - ### getCategory14

    public String getCategory14()

  - ### setCategory14

    public void setCategory14​(String category14)

  - ### getCategory15

    public String getCategory15()

  - ### setCategory15

    public void setCategory15​(String category15)

  - ### getCategory16

    public String getCategory16()

  - ### setCategory16

    public void setCategory16​(String category16)

  - ### getCategory17

    public String getCategory17()

  - ### setCategory17

    public void setCategory17​(String category17)

  - ### getCategory18

    public String getCategory18()

  - ### setCategory18

    public void setCategory18​(String category18)

  - ### getCategory19

    public String getCategory19()

  - ### setCategory19

    public void setCategory19​(String category19)

  - ### getCategory20

    public String getCategory20()

  - ### setCategory20

    public void setCategory20​(String category20)

  - ### getCategory21

    public String getCategory21()

  - ### setCategory21

    public void setCategory21​(String category21)

  - ### getCategory22

    public String getCategory22()

  - ### setCategory22

    public void setCategory22​(String category22)

  - ### getCategory23

    public String getCategory23()

  - ### setCategory23

    public void setCategory23​(String category23)

  - ### getCategory24

    public String getCategory24()

  - ### setCategory24

    public void setCategory24​(String category24)

  - ### getCategory25

    public String getCategory25()

  - ### setCategory25

    public void setCategory25​(String category25)